Page MenuHomePhabricator

Deploy User Home Page at Basque Wikipedia: Translating into Basque all documentation and messages
Closed, ResolvedPublic

Event Timeline

Theklan triaged this task as High priority.May 18 2019, 8:35 AM
Theklan created this task.
Theklan updated the task description. (Show Details)May 18 2019, 8:59 AM
Inaki-LL added a comment.EditedJun 14 2019, 4:35 PM

We are interested in translating this into Basque. Please can someone prepare this for translation?

Thanks, @Inaki-LL. Tagging @Trizek-WMF to help coordinate translations.

Trizek-WMF updated the task description. (Show Details)Jun 18 2019, 2:21 PM

We are interested in translating this into Basque. Please can someone prepare this for translation?

All pages listed on the task description are ready for translation. You can pick one, click on "Translate this page" and choose Euskara.

@Theklan: Account Bakun Itzulpenak doesn't exist, FYI.

Anyone with a Wikimedia account (not blocked on Meta) can freely translate.

Inaki-LL added a comment.EditedJun 29 2019, 6:37 PM

We are interested in translating this into Basque. Please can someone prepare this for translation?

All pages listed on the task description are ready for translation. You can pick one, click on "Translate this page" and choose Euskara.

Actually @Trizek-WMF I cannot. I go to the page and click on Translate this page > Euskara, then the two columns are shown, but the indicator at them bottom reads that it has been fully translated by now, while only the first half of it has been done. Could you enable further translation?

Xabier.Armendaritz added a comment.EditedJul 1 2019, 7:03 PM

We are interested in translating this into Basque. Please can someone prepare this for translation?

All pages listed on the task description are ready for translation. You can pick one, click on "Translate this page" and choose Euskara.

Hi @Trizek-WMF. The Basque Wikimedians User Group has decided that we need to translate into Basque all the documents listed in the first message of this page, including the text that appears bellow the paragraph on a light red background, that says: "The sections below may be changed significantly in the coming weeks, or are too technical or less relevant for the understanding of the project. We have decided not to have them translated."

Regardless of that warning, we consider that it is valuable to have translated into Basque the part bellow the paragraph.

That paragraph appears in these three documents:

https://www.mediawiki.org/wiki/Growth/Personalized_first_day/eu
https://www.mediawiki.org/wiki/Growth/Understanding_first_day/eu
https://www.mediawiki.org/wiki/Growth/Focus_on_help_desk/eu

Now, we have all those three documents part in English, part in Basque, as we cannot translate the last part of each of them into Basque. Could you help us?

@Xabier.Armendaritz -- thank you for your interest in this work! @Trizek-WMF will be able to help you during the week of July 15. Thanks for your patience!

Trizek-WMF added a comment.EditedJul 18 2019, 9:16 AM

Hi @Trizek-WMF. The Basque Wikimedians User Group has decided that we need to translate into Basque all the documents listed in the first message of this page, including the text that appears bellow the paragraph on a light red background, that says: "The sections below may be changed significantly in the coming weeks, or are too technical or less relevant for the understanding of the project. We have decided not to have them translated."
Regardless of that warning, we consider that it is valuable to have translated into Basque the part bellow the paragraph.
That paragraph appears in these three documents:
https://www.mediawiki.org/wiki/Growth/Personalized_first_day/eu
https://www.mediawiki.org/wiki/Growth/Understanding_first_day/eu
https://www.mediawiki.org/wiki/Growth/Focus_on_help_desk/eu
Now, we have all those three documents part in English, part in Basque, as we cannot translate the last part of each of them into Basque. Could you help us?

It is a bit complicated.

At the moment, as you noticed, the page is half marked for translations. The second half is less relevant for general information. We could have open the entire page for translation, but some updates are posted there time to time. Mark the page for translation would require to spend time watching new activity there.

Your crew is motivated to translate entire pages and it is great! However, some communities may not have the same workforce than yours, and feel a bit discouraged, even if there is a warning saying "The sections below may be changed significantly in the coming weeks, or are too technical or less relevant for the understanding of the project. The following sections don't need to be translated."

We are also using the translation system to check on the level of completion for those translation for the languages we work with closely: have the translations done à 100% is visible now: mark the rest of the mage would make it less easier to check.

So I would personally prefer not to change the current system. But if you really think you're missing something valuable in those pages, please add the translation markup (I don't have time to do it myself at the moment), make the change in the warning message and let's go. :)

Trizek-WMF added a comment.EditedJul 18 2019, 9:20 AM

Also: don't forget to update the task description and, most important, on T223619: Prepare for Growth experiments at Basque Wikipedia, when you've completed a translation.

Trizek-WMF updated the task description. (Show Details)Jul 18 2019, 9:23 AM
Trizek-WMF updated the task description. (Show Details)Jul 18 2019, 9:28 AM

Hi @Trizek-WMF. The Basque Wikimedians User Group has decided that we need to translate into Basque all the documents listed in the first message of this page, including the text that appears bellow the paragraph on a light red background, that says: "The sections below may be changed significantly in the coming weeks, or are too technical or less relevant for the understanding of the project. We have decided not to have them translated."
Regardless of that warning, we consider that it is valuable to have translated into Basque the part bellow the paragraph.
That paragraph appears in these three documents:
https://www.mediawiki.org/wiki/Growth/Personalized_first_day/eu
https://www.mediawiki.org/wiki/Growth/Understanding_first_day/eu
https://www.mediawiki.org/wiki/Growth/Focus_on_help_desk/eu
Now, we have all those three documents part in English, part in Basque, as we cannot translate the last part of each of them into Basque. Could you help us?

It is a bit complicated.
At the moment, as you noticed, the page is half marked for translations. The second half is less relevant for general information. We could have open the entire page for translation, but some updates are posted there time to time. Mark the page for translation would require to spend time watching new activity there.
Your crew is motivated to translate entire pages and it is great! However, some communities may not have the same workforce than yours, and feel a bit discouraged, even if there is a warning saying "The sections below may be changed significantly in the coming weeks, or are too technical or less relevant for the understanding of the project. The following sections don't need to be translated."
We are also using the translation system to check on the level of completion for those translation for the languages we work with closely: have the translations done à 100% is visible now: mark the rest of the mage would make it less easier to check.
So I would personally prefer not to change the current system. But if you really think you're missing something valuable in those pages, please add the translation markup (I don't have time to do it myself at the moment), make the change in the warning message and let's go. :)

Thanks @Trizek-WMF for your prompt reply after your break! We do not require to have the notice changed on the English page, just enabling translation when switching to the Basque page.

The translations have been made by now, so it is about making them visible in the right place. Where should translate markup be placed?

It is not possible to only affect the Basque page. All pages would be affected since we have to edit the English source to add the markup on it.

We have completed the translations, including those parts marked not to be translated. For now, we have decided not to markup the English source, so that we don't "force" other languages to translate those parts.

Maybe (my own thought, to be discussed in the Basque community) the Basque User Home Page project should do its own way, without being a mere translation of the English-language project. Whereas the English wikicommunity has millions of editors all throughout the world coming from dozens of cultures and also counts with a super-developed wikipedia (and other Commons projects), the Basque wikicommunity is little and quite localized, with a not-so-developed wikipedia (and other Commons projects), so I think that the help system the new Basque editors need will be quite different...

Xabier.Armendaritz updated the task description. (Show Details)

@Xabier.Armendaritz, I'm not sure to understand what you have written. The Basque community has its own User Home Page project?

Concerning your thoughts, the Homepage is not available on English Wikipedia. It is specifically designed for small communities, in order to help them to retain new users. It is deployed on Arabic, Czech, Korean, Vietnamese Wikipedias for now. We use English because that's the common language for interface definition, that's all.

@Xabier.Armendaritz, I'm not sure to understand what you have written. The Basque community has its own User Home Page project?
Concerning your thoughts, the Homepage is not available on English Wikipedia. It is specifically designed for small communities, in order to help them to retain new users. It is deployed on Arabic, Czech, Korean, Vietnamese Wikipedias for now. We use English because that's the common language for interface definition, that's all.

No, the Basque community has not any own User Home Page project. I was just thinking that, after seeing some texts of the project, I think that part of them should be localized to fit the Basque community's characteristics. But it was just a personal thought: perhaps the effort of localizing is not worth if only a few texts don't fit the Basque community's characteristics — a global assessment of the User Home Page project texts should be done before making any such decision.

We are open to the idea of having some interface messages adapted and localized. Let's discuss about them when we will work on the Homepage configuration. :)

Trizek-WMF updated the task description. (Show Details)Aug 15 2019, 12:54 PM

There are only two pages left to have this task completed. :)

Theklan closed this task as Resolved.Sep 2 2019, 9:45 AM

Solved. The optional one hasn't been translated. If it changes to mandatory, we should take a look to that in the future.